<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_112) on Sun Aug 29 12:47:13 CEST 2021 -->
<title>Serialized Form</title>
<meta name="date" content="2021-08-29">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Serialized Form";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<h2 title="Package">Package&nbsp;de.rowlo.tridchess.gui</h2>
<ul class="blockList">
<li class="blockList"><a name="de.rowlo.tridchess.gui.BoardView">
<!--   -->
</a>
<h3>Class <a href="de/rowlo/tridchess/gui/BoardView.html" title="class in de.rowlo.tridchess.gui">de.rowlo.tridchess.gui.BoardView</a> extends javax.swing.JComponent implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>5917562444447286531L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>repainter</h4>
<pre>de.rowlo.tridchess.gui.BoardView.RepaintRunnable repainter</pre>
</li>
<li class="blockList">
<h4>colNames</h4>
<pre>java.lang.String[] colNames</pre>
</li>
<li class="blockList">
<h4>rowNames</h4>
<pre>java.lang.String[] rowNames</pre>
</li>
<li class="blockList">
<h4>cui</h4>
<pre><a href="de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui">ChessUi</a> cui</pre>
</li>
<li class="blockList">
<h4>fieldWidth</h4>
<pre>int fieldWidth</pre>
</li>
<li class="blockList">
<h4>fieldHeight</h4>
<pre>int fieldHeight</pre>
</li>
<li class="blockList">
<h4>images</h4>
<pre>java.util.Map&lt;K,V&gt; images</pre>
</li>
<li class="blockList">
<h4>gridFields</h4>
<pre><a href="de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a>[][] gridFields</pre>
</li>
<li class="blockListLast">
<h4>hintText</h4>
<pre>java.lang.String hintText</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="de.rowlo.tridchess.gui.FieldView">
<!--   -->
</a>
<h3>Class <a href="de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">de.rowlo.tridchess.gui.FieldView</a> extends java.awt.Canvas implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-4455037249497540734L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>ui</h4>
<pre><a href="de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui">ChessUi</a> ui</pre>
<div class="block">Reference to the user interface configuration.</div>
</li>
<li class="blockList">
<h4>b</h4>
<pre>int[] b</pre>
<div class="block">The field's position on the board.</div>
</li>
<li class="blockList">
<h4>g</h4>
<pre>java.awt.Point g</pre>
<div class="block">The field's position on the screen grid.</div>
</li>
<li class="blockList">
<h4>ref</h4>
<pre>java.awt.Point ref</pre>
<div class="block">The board's position on the screen.</div>
</li>
<li class="blockList">
<h4>screenX</h4>
<pre>int screenX</pre>
<div class="block">The board's x position on the screen.</div>
</li>
<li class="blockList">
<h4>screenY</h4>
<pre>int screenY</pre>
<div class="block">The board's y position on the screen.</div>
</li>
<li class="blockList">
<h4>isWhite</h4>
<pre>boolean isWhite</pre>
<div class="block">Flag indication a field to belong to black or white party.</div>
</li>
<li class="blockListLast">
<h4>shade</h4>
<pre>int shade</pre>
<div class="block">The highlight type currently set.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="de.rowlo.tridchess.gui.FiguresListView">
<!--   -->
</a>
<h3>Class <a href="de/rowlo/tridchess/gui/FiguresListView.html" title="class in de.rowlo.tridchess.gui">de.rowlo.tridchess.gui.FiguresListView</a> extends javax.swing.JComponent implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>3499604114670816673L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>repainter</h4>
<pre>de.rowlo.tridchess.gui.FiguresListView.RepaintRunnable repainter</pre>
</li>
<li class="blockList">
<h4>cui</h4>
<pre><a href="de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui">ChessUi</a> cui</pre>
</li>
<li class="blockList">
<h4>sx</h4>
<pre>int sx</pre>
</li>
<li class="blockList">
<h4>sy</h4>
<pre>int sy</pre>
</li>
<li class="blockList">
<h4>signX</h4>
<pre>int signX</pre>
</li>
<li class="blockList">
<h4>signY</h4>
<pre>int signY</pre>
</li>
<li class="blockList">
<h4>fieldWidth</h4>
<pre>int fieldWidth</pre>
</li>
<li class="blockList">
<h4>fieldHeight</h4>
<pre>int fieldHeight</pre>
</li>
<li class="blockList">
<h4>blackFiguresList</h4>
<pre>java.util.ArrayList&lt;E&gt; blackFiguresList</pre>
</li>
<li class="blockList">
<h4>whiteFiguresList</h4>
<pre>java.util.ArrayList&lt;E&gt; whiteFiguresList</pre>
</li>
<li class="blockList">
<h4>figureLocations</h4>
<pre>java.util.Map&lt;K,V&gt; figureLocations</pre>
</li>
<li class="blockList">
<h4>draggedFigureLocation</h4>
<pre>java.awt.Point draggedFigureLocation</pre>
</li>
<li class="blockListLast">
<h4>draggedFigure</h4>
<pre><a href="de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a> draggedFigure</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="de.rowlo.tridchess.gui.LogView">
<!--   -->
</a>
<h3>Class <a href="de/rowlo/tridchess/gui/LogView.html" title="class in de.rowlo.tridchess.gui">de.rowlo.tridchess.gui.LogView</a> extends javax.swing.JComponent implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>3939915126835550974L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>repainter</h4>
<pre>de.rowlo.tridchess.gui.LogView.RepaintRunnable repainter</pre>
</li>
<li class="blockList">
<h4>cui</h4>
<pre><a href="de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui">ChessUi</a> cui</pre>
</li>
<li class="blockListLast">
<h4>moveLog</h4>
<pre>java.util.ArrayList&lt;E&gt; moveLog</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;de.rowlo.tridchess.gui.trid</h2>
<ul class="blockList">
<li class="blockList"><a name="de.rowlo.tridchess.gui.trid.PinView">
<!--   -->
</a>
<h3>Class <a href="de/rowlo/tridchess/gui/trid/PinView.html" title="class in de.rowlo.tridchess.gui.trid">de.rowlo.tridchess.gui.trid.PinView</a> extends java.awt.Canvas implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>-7250171510855827090L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>ui</h4>
<pre><a href="de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui">ChessUi</a> ui</pre>
<div class="block">Reference to the user interface configuration.</div>
</li>
<li class="blockList">
<h4>b</h4>
<pre>int[] b</pre>
<div class="block">The pin's position on the board.</div>
</li>
<li class="blockList">
<h4>g</h4>
<pre>java.awt.Point g</pre>
<div class="block">The pin's position on the screen grid.</div>
</li>
<li class="blockList">
<h4>ref</h4>
<pre>java.awt.Point ref</pre>
<div class="block">The board's position on the screen.</div>
</li>
<li class="blockList">
<h4>screenX</h4>
<pre>int screenX</pre>
<div class="block">The board's x position on the screen.</div>
</li>
<li class="blockList">
<h4>screenY</h4>
<pre>int screenY</pre>
<div class="block">The board's y position on the screen.</div>
</li>
<li class="blockList">
<h4>shade</h4>
<pre>int shade</pre>
<div class="block">The highlight type currently set.</div>
</li>
<li class="blockListLast">
<h4>isGhost</h4>
<pre>boolean isGhost</pre>
<div class="block">Flag if a pin is active or not.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="de.rowlo.tridchess.gui.trid.TriDBoardView">
<!--   -->
</a>
<h3>Class <a href="de/rowlo/tridchess/gui/trid/TriDBoardView.html" title="class in de.rowlo.tridchess.gui.trid">de.rowlo.tridchess.gui.trid.TriDBoardView</a> extends <a href="de/rowlo/tridchess/gui/BoardView.html" title="class in de.rowlo.tridchess.gui">BoardView</a> implements Serializable</h3>
<dl class="nameValue">
<dt>serialVersionUID:</dt>
<dd>6226760625724825215L</dd>
</dl>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>board</h4>
<pre><a href="de/rowlo/tridchess/model/trid/TriDBoard.html" title="class in de.rowlo.tridchess.model.trid">TriDBoard</a> board</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
